Subject: Re: [opendx-general] X-Server for Win9x platform - Where from; how much?
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 7 Jun 1999 13:23:42 -0400

Got your big lecture.

Why not you make the effort and rewrite this monster code for Win32 API ? :-)  I can bet you will be spending rest of the year 1999 on rewriting it so it can use Windows GUI.

Considering the time consumed in rewriting a Unix MOTIF/X11 code for Windows GDI,
it is a lot cheaper *in your words thanks GOD for an alternative* to use an X-server.

The port (compilation on Windows) is done as a favor to users to save them time of downloading 5 different development tools and spend hours to compile it themselves.

FOR YOUR INFORMATION, I spent my whole weekend trying patch HDF, CDF and NetCDF
for Cygwin and then 6 hours to recompile OpenDX on Windows with cdf and hdf support.

If you can do a better job, then you should offer it users, instead of whining.

Regards

Suhaib

> Hello DX-users on Win32/Cygwin platforms,
> 
> thanks to S. Siddiqi's and others' efforts, only a few days after DX went open source, there already
> is a (precompiled binaries) Win32 version of DX4.0.1 available for d/l, which by itself is a Good Thing.
> 
> Also, there are Cygwin-B20.1, EGCS-1.1.2, X11R6.4/LessTif 0.88.x and Mesa-3.0 for Cygwin 
> packages out there so everything needed to build DX by oneself is on the Web. So far, so fine.
> 
> But... having wondered for some time why I couldn't even get the precompiled DX release (from a previous d/l) to run
> under Win95/Cygwin (that is, using its GUI), I was shocked to read the following lines in the readme accompanying
> the DX4.0.1-binary distribution mentioned in the original message included below (thank God I read this before
> attempting to download ~37MB that would probably not have worked for me):
> 
> Quoting from the readme:
> 
> >  [...] You need a X11R6.3 compliant X server.  At the moment no
> >  free X11R6.x compliant servers are available.  Do not waste your time
> >  trying the freeware MI/X server.  It is X11R5 compliant and will not
> >  work. [...]
> >  First start the X-server. Then, open a DOS Shell [...]
> 
> So, if I understand this correctly, there is no way of running DX *with its GUI* for
> those Win9x users who don't possess a working X11R6.3..6.4-compliant X-server.
> 
> This, AFAIK, applies to virtually all of the Win9x-out of the box- user base,
> and is IMHO also the worst case scenario for any potential DX-users on those platforms-
> DX is pretty useless *without its GUI*, right?!
> 
> As all the packages needed for DX on a Win9x-platform are open source/freeware/GPLed software/
> public domain, I would of course be willing to pay a *moderate* amount for an X-server license.
> However, commercial UNIX packages are not always reasonably priced... or are they?
> 
> Is there any inexpensive remedy? Do I have to shell out lots of $$ for WinNT4.0
> (where there presumably are commercial X server packages, which probably won't be very affordable
> either) or what else can I do?
> 
> If you know of any working solutions (first-hand experience preferred) under Win9x/Cygwin, please
> mail me or *better: post it to the opendx-general list* as this question will most certainly reappear more than once
> as the OpenDX audience grows.
> 
> Any posting should contain product name/release version/date, company/vendor, price (single-user license),
> where to get it (USA/Europe) (like address, web site, phone no. of retailer, ... whatever you may have)
> and a short comment on pros and cons
> (like stability, performance, hw/sw requirements, ease of use, degree of compliance to the X APIs,
> (un)supported features, ...)
> 
> Thanks in advance,
> 
> Martin.
> 
> mailto://[email-masked]
> 
> 
> Original message follows:
> 
> Von: Suhaib M. Siddiqi [SMTP:[email-masked]]
> Gesendet am: Montag, 7. Juni 1999 14:35
> An: [email-masked]
> Cc: [email-masked]
> Betreff: [opendx-general] OpenDX Windoz
> 
> I have updated OpenDX binaries for Cygwin/Windows at:
> 
> http://www.geocities.com/ResearchTriangle/Forum/6298/
> 
> The new binaries have cdf,hdf and netcdf support.  The startup scripts had been fixed.
> Please read the README.TXT, after extracting the archive.
> 
> Suhaib
> 
> 
> 
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]